GNUmed(1)

NAME
GNUmed - an electronic MEDICAL record software for GP offices

This is not fully featured yet. Use at your own risk. You have been warned.

SYNOPSIS
gnumed [--quiet|debug] [--slave] [--text-domain=TEXTDOMAIN] [--log-file=FILE] [--conf-file=FILE] [--lang-gettext=LANGUAGE] [--ui=UI-TYPE] [--wxp=VERSION] [--tool=TOOL] [--override-schema-check] [--local-import] [--help] [--version] [-V] [-h|?]

DESCRIPTION
GNUmed is a solution for keeping safe and medically sound electronic records on a patient's health. It primarily focuses on GP offices. It is released under the GPL.

GNUmed is written in Python with wxPython/wxWindows. Data is stored in a PostgreSQL database. Multiple clients can work with the same database at the same time.

OPTIONS

--quiet
    Be extra quiet and show only _real_ errors in the log.

--debug
    Pre-set the [debug mode] checkbox in the login dialog which controls increased verbosity in the log file.

    Useful for, well, debugging :-) Slower, too.

--slave
    Pre-set the [enable remote control] checkbox in the login dialog to enable the XML-RPC remote control feature.

--hipaa
    Enable HIPAA features with user workflow impact.

    Those features which do not affect the workflow of the user are permanently enabled.

--text-domain=TEXTDOMAIN
    Set this to change the name of the language file to be loaded. Note, this does not change the directory the file is searched in, only the name of the file where messages are loaded from. The standard textdomain is, of course, "gnumed.mo". You need only specify the base name of the file without the .mo extension.

--log-file=FILE
    Use this to change the name of the log file. The default log file would be <~/.gnumed/gnumed.log>.

--conf-file=FILE
    Use configuration file FILE instead of searching for it in standard locations.

--lang-gettext=LANGUAGE
    Explicitly set the language to use in gettext translation. The very same effect can be achieved by setting the environment variable $LANG from a launcher script.

--ui=UI-TYPE
    Explicitly set the user interface type. Omitting this argument will default the interface to wxPython.

    Valid values are:

        wxp: wxPython Python client (default)

--wxp=VERSION
    Explicitly request a wxPython major version. Omitting the argument will default to trying wxPython 3 first, then attempting to fall back to wxPython 2.

    Valid values are:

        2: request wxPython 2

        3: request wxPython 3

--tool=TOOL
    Run the named TOOL instead of a GUI.

    Currently implemented tools:

        check_enc_epi_xref: Cross-check that foreign keys values in any given row of any table carrying both of fk_episode and fk_encounter do point to episodes and encounters, respectively, of the very same patient.

        export_pat_emr_structure: Export the EMR structure (issues and episodes) of a patient into a text file.

        check_mimetypes_in_archive: Show mimetypes and related information of all document parts in the archive.

        read_all_rows_of_table: Check readability of all rows of a given table.

--override-schema-check
    Continue loading the client even if the database schema version and the client software version cannot be verified to be compatible.

--skip-update-check
    Skip checking for client updates. This is useful during development or when the update check URL is unavailable.

--local-import
    At startup adjust the PYTHONPATH such that the GNUmed client is run from a local copy of the source tree rather than from a proper system-wide installation.

--version, -V
    Show version information about the GNUmed client and the database it needs.

--help, -h, or -?
    Well, show this help.

EXIT STATUS

> 0: some error occurred while the GUI client was run

0: normal termination of the client

< 0: some error occurred while trying to run a console tool

-1: an unknown console tool was requested

< -1: an error occurred while a console tool was run

-999: hard abort of the client

ENVIRONMENT

LANG, LC_MESSAGES, etc.
    See gettext(1) for how the various locale related environment variables work.

FILES

~/etc/gnumed/gnumed-client.conf
    The system-wide configuration file.

~/.gnumed/gnumed.conf
    The user-specific configuration file.

~/.gnumed/gnumed.log
    The default log file.

SEE ALSO

https://www.gnumed.de
    Detailed Wiki-style documentation

https://www.gnumed.org
    Users' website

https://www.gnumed.de
    German website

http://savannah.gnu.org/projects/gnumed
    Mailing list home

https://github.org/ncqgm/gnumed
    Source code repository (Git)

/usr/share/doc/gnumed/
    Local documentation

man -k gm-*
    List man pages on gm-* commands.

gettext(1)

BUGS

A lot of functionality is still missing. To make up for that, there's bugs here and there for you to report :-)

Use at your own risk. You have been warned. Take proper backups !